> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Wallet Details



## OpenAPI

````yaml openapi.json get /wallet/details
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /wallet/details:
    parameters: []
    get:
      tags:
        - Wallet
      summary: Wallet Details
      parameters:
        - name: walletId
          in: query
          required: false
          example: 825d62fd-534d-460e-891a-94ac678b0b55
          schema:
            type: integer
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Access-Control-Expose-Headers:
              schema:
                type: string
              example: >-
                Pragma,Expires,x-pub-key,Content-Type,Authorization,Cache-Control,X-Login-Token,X-Access-Token,Content-Language,ngrok-skip-browser-warning
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '507'
            ETag:
              schema:
                type: string
              example: W/"1fb-c78INFMbFu9NuEIb4dgjLANJ500"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Thu, 15 Aug 2024 12:02:58 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Wallet Details - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      wallet:
                        type: object
                        properties:
                          dailyLimit:
                            type: integer
                          maxBalance:
                            type: integer
                          todayTransactionAmount:
                            type: integer
                          id:
                            type: string
                          tier:
                            type: integer
                          lga:
                            nullable: true
                          city:
                            nullable: true
                          email:
                            type: string
                            format: email
                          state:
                            nullable: true
                          status:
                            type: string
                          address:
                            nullable: true
                          bvn:
                            type: string
                          bankName:
                            type: string
                          accountName:
                            type: string
                          phoneNumber:
                            type: string
                            format: utc-millisec
                          dateOfBirth:
                            type: string
                            format: date
                          accountNumber:
                            type: string
                            format: utc-millisec
                          bookedBalance:
                            type: integer
                          proofOfAddress:
                            type: string
                          availableBalance:
                            type: integer
                          nin:
                            type: string
              example:
                status: true
                data:
                  wallet:
                    dailyLimit: 50000
                    maxBalance: 300000
                    todayTransactionAmount: 0
                    id: 8723d967-1d46-4ead-b011-1bfcb3fbd29a
                    tier: 1
                    lga: null
                    city: null
                    email: ogundeko.ridwan02@mailinator.com
                    state: null
                    status: ACTIVE
                    address: null
                    bvn: 22******038
                    bankName: Xpress Wallet
                    accountName: Ogundeko Ridwan
                    phoneNumber: '2349088331138'
                    dateOfBirth: '1970-10-22'
                    accountNumber: '4469806324'
                    bookedBalance: 73790
                    proofOfAddress: ''
                    availableBalance: 73790
                    nin: ''
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````